package net.cobem.grizzly.communication.events.rooms;

import net.cobem.grizzly.communication.EventRequest;
import net.cobem.grizzly.communication.GameEvent;
import net.cobem.grizzly.habbohotel.sessions.Session;

public class TravelToRoomEvent implements GameEvent {

    @Override
    public void compose(Session Session, EventRequest Request) {
        /*if (Session.OverideID == 0)
		{
			Grizzly.write("boogeda");
			return;
		}
		
		Room mRoom = Grizzly.getHabboHotel().getRooms().getByID(Session.OverideID);
		
		Session.getResponse().Initialize(2102);
		//Session.getResponse().Initialize(ComposerLibrary.SendMoreRoomInformationEvent);
        Session.getResponse().addBool(true);
		Session.getResponse().addInt(mRoom.ID);
		Session.getResponse().addBool(false);
		Session.getResponse().addString(mRoom.Title);
		Session.getResponse().addBool(true);
		Session.getResponse().addInt(mRoom.Owner);
		Session.getResponse().addString(mRoom.OwnerByName); // Owner name
		Session.getResponse().addInt(0);
		Session.getResponse().addInt(mRoom.getParty().size());
		Session.getResponse().addInt(25);
		Session.getResponse().addString(mRoom.Description);
		Session.getResponse().addInt(0);
		Session.getResponse().addInt(1);
		Session.getResponse().addInt(0);
		Session.getResponse().addInt(0);
		Session.getResponse().addInt(0);
		Session.getResponse().addString("");
		Session.getResponse().addString("");
		Session.getResponse().addString("");
		Session.getResponse().addInt(0);
		Session.getResponse().addInt(0);
		Session.getResponse().addInt(0);
		Session.getResponse().addInt(0);
		Session.getResponse().addInt(0);
		Session.getResponse().addBool(true);
		Session.getResponse().addBool(true);
        Session.getResponse().addBool(false);
        
        Session.sendResponse();*/
    }

}
